if [ `kextstat -lb com.increw.kext.speedit | wc -l` -ge 1 ]
then
	echo -1
	exit
fi

# check if the SpeedIt kext exists at our preferred location,
# if our launchd plist is installed,
# (### if we've got the right permissions and)
# if SpeedIt is already running at least once
if [ -e /Library/Extensions/speedit.kext ] && [ -e /Library/LaunchDaemons/com.mystfans.MenuTemperature.SpeedIt-launcher.plist ] && [ `kextstat -lb com.increw.kext.speedit | wc -l` -ge 1 ]
then
	echo 1
	exit
else
	echo 0
	exit
fi
